using Godot;

namespace Newlon.Components.Plants.Behaviours;

public partial class SpikeweedBehaviour : BaseBehaviour
{
	private int _inCount = 0;
	public void OnHitboxEntered(Area2D _area)
	{	
		if (_inCount++ == 0)
			_tree.Set("parameters/Tree/blend_position",1);
	}

	public void OnHitboxExited(Area2D _area)
	{
		if (--_inCount == 0)
			_tree.Set("parameters/Tree/blend_position",0);
	}
}
